<?php

/* * ********************************************************************
 * Wordpress_Manager Product developed. (Dec 11, 2017)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 * ******************************************************************** */

namespace ModulesGarden\ProxmoxAddon\App\UI\Templates\Forms;

use ModulesGarden\ProxmoxAddon\App\UI\Templates\Providers\TemplateProvider;
use ModulesGarden\ProxmoxAddon\Core\UI\Interfaces\AdminArea;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\ProxmoxAddon\Core\UI\Widget\Forms\Fields;

/**
 * Description of CreateForm
 *
 * @author Pawel Kopec <pawelk@modulesgarden.com>
 */
class UpdateForm extends BaseForm implements AdminArea
{

    public function initContent()
    {
        $this->initIds('templateUpdateForm');
        $this->setFormType('update');
        $this->setProvider(new TemplateProvider());
        $this->initFields();
        $this->loadDataToForm();
    }

    protected function initFields()
    {
        $this->addField(new Fields\Hidden('vmid'));
        $this->addField(new Fields\Hidden('node'));
        $this->addField(new Fields\Hidden('name'));
        $this->addField(new Fields\Hidden('serverId'));
        $this->addField(new Fields\Hidden('type'));
        //ciuser
        $field = ((new Fields\Text('ciuser')));
        $this->addField($field);
        //Description
        $this->addField(new Fields\Textarea('description'));
    }

    protected function getDefaultActions()
    {
        return ['update'];
    }
}
